/** 
 * \file LevelUtils.h
 * \brief This file contains some level helper functions calculating various algorithms.
 * Basicly it is created to reduce the huge size of Level.cpp
 * 
 * \author Petar Bajic, MPE (C) All Rights Reserved, Homepage: www.mystic-peanut.com
 * \date January, 16 2007.
 */

#include "d3dx9.h"

float distance2(D3DXVECTOR3 p, D3DXVECTOR3 s);
float facePoint(D3DXVECTOR3 objpoint, D3DXVECTOR3 point);
bool CloseToSheep(D3DXVECTOR3 from, D3DXVECTOR3 to);
bool ReachedSheep(D3DXVECTOR3 from, D3DXVECTOR3 to);
void GetRandomVectorCircle( D3DXVECTOR3* out, float radius);
float GetRandomFloat(float lowBound, float highBound);
